{ ****************************************************************************** }
{ *  Program name.: csTwainConsts.pas           Project...: TWAIN Component    * }
{ *  Documentation: -                           Version...: 1.00               * }
{ *  Date.........: 99-07-11                    Created by: FAZI               * }
{ *  Updated......: 99-07-11                    Updated by: FAZI               * }
{ *  Compiler.....: Borland Delphi              Version...: 3 & 4              * }
{ *                                                                            * }
{ ****************************************************************************** }
{ *                  Copyright (c) 1999 Component Store Ltd.                   * }
{ *                            All rights reserved                             * }
{ ****************************************************************************** }

unit csTwainConsts;

interface

resourcestring

 //////////////////////////////////////////////////////////////////////////
 // TWAIN Error Detail Descriptions
 //////////////////////////////////////////////////////////////////////////

  SED_NONE	         = '[inga detaljer tillgngliga]';
  SED_START_TRIPLET_ERRS = '';
  SED_CAP_GET            = 'DAT_CAPABILITY/MSG_GET mislyckades';
  SED_CAP_SET            = 'DAT_CAPABILITY/MSG_SET mislyckades';
  SED_DSM_FAILURE        = '''Source Manager'' operation mislyckades';
  SED_DS_FAILURE	 = '''DataSource'' operation mislyckades';
  SED_END_TRIPLET_ERRS   = '';
  SED_NOT_STATE_4	 = 'TWAIN session r inte i State 4';
  SED_NULL_HCON	         = 'MSG_GET returnerade NULL behllarhandtag';
  SED_BAD_HCON	         = 'MSG_GET returnerade ogiltig behllarhandtag';
  SED_BAD_CONTYPE	 = 'Returnerad behllare r av fel typ';
  SED_BAD_ITEMTYPE	 = 'Returnerad behllare har felaktig ''ItemType''';
  SED_CAP_GET_EMPTY	 = 'Returnerad behllare r tom';
  SED_CAP_SET_EMPTY	 = 'Applikation och klla har inga gemensamma vrde';

 //////////////////////////////////////////////////////////////////////////
 // TWAIN Return Code Descriptions
 //////////////////////////////////////////////////////////////////////////

  SRC_SUCCESS	         = 'TWRC_SUCCESS';
  SRC_FAILURE	         = 'TWRC_FAILURE';
  SRC_CHECKSTATUS	 = 'TWRC_CHECKSTATUS';
  SRC_CANCEL	         = 'TWRC_CANCEL';
  SRC_DSEVENT	         = 'TWRC_DSEVENT';
  SRC_NOTDSEVENT	 = 'TWRC_NOTDSEVENT';
  SRC_XFERDONE	         = 'TWRC_XFERDONE';
  SRC_ENDOFLIST	         = 'TWRC_ENDOFLIST';

 //////////////////////////////////////////////////////////////////////////
 // TWAIN Condition Code Descriptions
 //////////////////////////////////////////////////////////////////////////

  SCC_SUCCESS	         = 'TWCC_SUCCESS';
  SCC_BUMMER	         = 'TWCC_BUMMER (Oknd fel)';
  SCC_LOWMEMORY	         = 'TWCC_LOWMEMORY (Minnesbrist vid dataklla';
  SCC_NODS	         = 'TWCC_NODS (Dataklla saknas)';
  SCC_MAXCONNECTIONS	 = 'TWCC_MAXCONNECTIONS (Datakllan r kopplad till max. antal applikationer)';
  SCC_OPERATIONERROR	 = 'TWCC_OPERATIONERROR (Datakllan har rapporterat ett fel)';
  SCC_BADCAP	         = 'TWCC_BADCAP (Oknd mjlighet fr dataklla)';
  SCC_UNDEFINED7	 = '7 (odeffinerad)';
  SCC_UNDEFINED8	 = '8 (odeffinerad)';
  SCC_BADPROTOCOL	 = 'TWCC_BADPROTOCOL (Oknd vrde fr dataklla)';
  SCC_BADVALUE	         = 'TWCC_BADVALUE (Dataparametern r utanfr tilltna vrde)';
  SCC_SEQERROR   	 = 'TWCC_SEQERROR (Dataklla och applikation r i olika tillstnd)';
  SCC_BADDEST	         = 'TWCC_BADDEST (Oknd destination)';

  SEG_GETCAP_NOTSTATE_4  = 'Mjlighetsfrfrgan till datakllan sndes vid fel tidpunkt.';
  SEG_INSUFFICIENT_MEM   = 'Minnesbrist i applikationsprogrammet.';
  SEG_LOAD_DSM           = 'Fel vid laddning av datakllahanterare.';
  SEG_OPEN_DSM           = 'Fel vid ppning av datakllahanterare.';
  SEG_OPEN_DS            = 'ppning av vald dataklla misslyckades.';
  SEG_ENABLE_DS          = 'Aktiveringen av vald dataklla misslyckades.';

 //////////////////////////////////////////////////////////////////////////
 // TWAIN Dialog Strings
 //////////////////////////////////////////////////////////////////////////

  SPT_BLACK_WHITE        = 'Svart/Vit';
  SPT_16_GRAYSCALE       = '16 Grtoners';
  SPT_256_GRAYSCALE      = '256 Grtoners';
  SPT_16_COLOR           = '16 Frgers';
  SPT_256_COLOR          = '256 Frgers';
  SPT_TRUE_COLOR         = 'Million Frgers';

  SFS_DETECTED           = 'Automatiskt';
  SFS_A4                 = 'A4';
  SFS_A5                 = 'A5';
  SFS_B5                 = 'B5';
  SFS_LEGAL              = 'Legal';
  SFS_LETTER             = 'Letter';

  SBD_THRESHOLD          = 'Trskelvrde';
  SBD_HALFTONES          = 'Halvtoner';
  SBD_DIFFUSION          = 'Diffusion';

  SDL_TITLE              = 'TWAIN Instllningar';
  SBT_OK                 = '&Ok';
  SBT_CANCEL             = '&Avbryt';
  SBT_SELECT_SOURCE      = '&Vlj klla';
  SBT_ACQUIRE            = '&Scanna';
  SBT_GET_CAPABILITIES   = '&Mjligheter';

  STB_CURRENT_VALUES     = 'Instllningar';
  STB_SCANER_TEST        = 'Scanner Test';
  STB_DIAGNOSTIC         = 'Diagnostik';

  SGB_IMAGE              = ' Bild ';
  SGB_PRODUCT            = ' Produkt ';
  SGB_PROTOCOL           = ' Protokol ';
  SGB_CAPABILITIES       = ' Mjligheter ';

  SLB_PIXELTYPE          = 'Bildtyp';
  SLB_FRAMESIZE          = 'Ramstorlek';
  SLB_BITREDUCTION       = 'Frgreduktion';
  SLB_RESOLUTION         = 'Upplsning';
  SLB_BRIGHTNESS         = 'Ljusstyrka';
  SLB_CONTRAST           = 'Kontrast';
  SLB_HIGHLIGHT          = 'Ljushet';
  SLB_SHADOW             = 'Mrkhet';
  SLB_THRESHOLD          = 'Trskelvrde';

  SLB_AUTO_BRIGHTNESS    = 'Auto Ljusstyrka';
  SLB_INVERTED           = 'Inverterad';

  SLB_MANUFACTURER       = 'Tillverkare';
  SLB_PRODUCTFAMILY      = 'Produktfamilj';
  SLB_PRODUCTNAME        = 'Produktnamn';

  SLB_PROTOCOLMAJOR      = 'Protokol ''Major''';
  SLB_PROTOCOLMINOR      = 'Protokol ''Minor''';
implementation
end.
